Ask Your Question
2

Conflicts between mariadb and connector when upgrading to F27

asked 2018-04-24 21:19:01 -0500

alec gravatar image

When running sudo dnf system-upgrade download --releasever=27, I get this error message:

Error: Transaction check error:
  file /usr/lib64/mariadb/plugin/dialog.so conflicts between attempted installs of mariadb-common-3:10.2.14-1.fc27.x86_64 and mariadb-connector-c-3.0.2-4.fc27.x86_64
  file /usr/lib64/mariadb/plugin/mysql_clear_password.so conflicts between attempted installs of mariadb-common-3:10.2.14-1.fc27.x86_64 and mariadb-connector-c-3.0.2-4.fc27.x86_64

I don't think I have mariadb installed, at least dnf list installed "mar*" doesn't show it. Mariadb isn't listed as an installed or upgraded package as part of the F27 upgrade, but these are listed as dependencies:

 mariadb-common                 x86_64 3:10.2.14-1.fc27           updates  64 k
 mariadb-connector-c            x86_64 3.0.2-4.fc27               fedora  137 k
 mariadb-embedded               x86_64 3:10.2.14-1.fc27           updates 4.8 M
 mariadb-errmsg                 x86_64 3:10.2.14-1.fc27           updates 226 k

I didn't have issues like this when I upgraded to F26. As you can probably tell, I'm pretty new to this. I saw this post about conflicts between the mariadb and mariadb-connector dependencies, but I don't know how to interpret it. Any help is appreciated.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2018-04-25 07:18:00 -0500

ozeszty gravatar image

For some reason you're being served older version of mariadb-connector-c, you should be getting 3.0.2-15.fc27 (which has been in updates repository for 5 months already) with fix for the bug you linked. Go to /var/lib/dnf/system-upgrade, remove mariadb-connector-c-3.0.2-4.fc27.x86_64.rpm and copy there newer one from here: https://koji.fedoraproject.org/koji/b...

Then run sudo dnf system-upgrade download --releasever=27 --exclude=mariadb-connector-c-3.0.2-4.fc27.x86_64 --refresh. I'm not sure if that will work, if not, we'll think of something else.

edit flag offensive delete link more

Comments

Thanks for the help. I tried what you suggested, but I got some new errors.

I deleted the old mariadb-connector rpm from /var/lib/dnf/system-upgrade/fedora-cba4cf65782eccda/pacakages, and replaced it with the rpm from that website. When I run the system-upgrade line you listed, I get the following errors:

 Problem: problem with installed package qt5-qtbase-mysql-5.9.4-4.fc26.x86_64
  - package qt5-qtbase-mysql-5.9.4-4.fc27.x86_64 requires libmariadb.so.3()(64bit), but none of the providers can be installed
alec gravatar imagealec ( 2018-04-25 21:23:15 -0500 )edit

qt5-qtbase-mysql.x86_64 5.9.4-4.fc27 requires libmariadb.so.3()(64bit)

which is provided by

mariadb-connector-c-3.0.2-4.fc27.x86_64
mariadb-libs-3:10.2.14-1.fc27.x86_64
mariadb-libs-3:10.2.9-3.fc27.x86_64

It looks like dnf decided to install mariadb-connector-c where it should have selected mariadb-libs.

villykruse gravatar imagevillykruse ( 2018-04-26 00:42:48 -0500 )edit

How many packages would be removed if you uninstalled mariadb-connector-c?

villykruse gravatar imagevillykruse ( 2018-04-26 00:44:43 -0500 )edit

But with mariadb-connector-c excluded it should use mariadb-libs, maybe it's some repodata issue.

@alec, try sudo dnf system-upgrade download --releasever=27 --best --refresh (maybe it'll find other providers for libmariadb) or sudo dnf system-upgrade download --releasever=27 --skip-broken --refresh -v (it should skip qt5-qtbase-mysql and whatever requires it, if it's not something important, you can install it after the upgrade, just note down those skipped packages).

Independently report this issue in bugzilla so that maintainers could fix it before others hit this issue.

ozeszty gravatar imageozeszty ( 2018-04-26 03:52:00 -0500 )edit

Was this ever reported to bugzilla. I can't find it. I have the same problem and am stuck on the upgrade.

grenander gravatar imagegrenander ( 2018-09-20 11:23:50 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-04-24 21:19:01 -0500

Seen: 236 times

Last updated: Apr 25 '18